### Class

# FwupdPlugin EfiSignatureList

since: 1.0

#### Description [src]

    final class FwupdPlugin.EfiSignatureList : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A UEFI signature list typically found in the `PK` and `KEK` keys.

See also: `FuFirmware`

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_efi_signature_list_new

Creates a new `FuFirmware` that can parse an EFI_SIGNATURE_LIST.

since: 1.5.5

#### Instance methods

##### Methods inherited from FuFirmware (59)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginEfiSignatureListClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.